[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: HEADS UP: LDAPMod/Friendly changed and more

At 08:36 PM 12/21/98 +0300, Alex Iliynsky wrote:
>Hi there!
>>The mod_next field of this structure has been axed to conform
>>with the IETF draft API spec.  It is likely only slapd used
>>this field, but...
>Is there any DEFINES indicates the current version of OpenLdap?

The *current version* of OpenLDAP is 1.1.  It is compatible with U-M
API.  You can detect that it is a U-M API be checking if

>I need this for my project that must be compiled  with openldap and NT

OpenLDAP 2.0 supports both compile time (preprocessor macros) and runtime
(ldap_get_option) mechanisms for detecting API information.  This is *derived*
from draft-ietf-ldapext-ldap-c-api-01.txt.

The draft spec only provides a runtime mechanism for detecting the vendor
name and version.   OpenLDAP-devel, however, defines LDAP_VENDOR_NAME and
LDAP_VENDOR_VERSION to allow compile time checking.

You will note that the LDAP_VENDOR_VERSION is set to 190 (1.9).  It has
not changed in quite some time and remain unchanged until we complete the
C-API development (despite some rather significant API changes).

  devel snapshots contain the latest OpenLDAP developments.  They are
  provided solely for reference and to development changes to OpenLDAP.
  devel snapshots should never be used in production environments.
  Client developers seeking a stable development environment should
  use -stable or formal OpenLDAP releases.